GET /api/v3/dashboard/{dashboardId}

Retrieves a dashboard. For a dashboard to be returned you must have created the dashboard or have DashboardAdministrator Manage permission and the dashboard is shared at all or have DashboardAdministrator Manage permission and the dashboard is public or have SharedDashboardsOrMaps View permission and the dashboard is shared with you

GetDashboardV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
dashboardId Specific dashboard integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

DashboardResponse
Property Description Type
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the dashboard was created string (date-time)
dashboardGlobalSettings DashboardGlobalSettingsV202208
DashboardGlobalSettingsV202208 properties
Property Description Type
buildingGroup PlaceGroupChild
PlaceGroupChild properties
Property Description Type
autoGroup Indicates if this place group is an autogroup boolean
placeGroupCode The place group code string
placeGroupId The place group identifier integer (int32)
placeGroupInfo The place group info string
userDefinedAutoGroup Indicates if this place group is an user defined auto group boolean
globalFilterType If GlobalFilterVisibility is Fixed, this is the type of filter currently applied to this dashboard. Values are either TopmostPlace or BuildingGroup, or blank if GlobalFilterVisibility is not Fixed. TopmostPlace - Filters the dashboard by a topmost place BuildingGroup - Filters the dashboard by a building group string
globalFilterVisibility Visibility of dashboard filter. Values are Show, Hide, or Fixed. Show - Filter controls are shown on the dashboard, filter can be temporarily set by anybody who can view the dashboard, including public viewers Hide - Filter controls are hidden, filter cannot be set, dashboard will be filtered using the topmost place of the user that creates the dashboard Fixed - Filter controls are hidden, a fixed filter is applied to the dashboard string
showInfo Flag to indicate if title/description should be displayed boolean
showLinks Flag to indicate if public-facing links to the application should be displayed boolean
topmostPlace PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
dashboardId The dashboard identifier integer (int32)
dashboardInfo The dashboard info string
description The dashboard description string
key If the dashboard is public, this value holds the public key that allows the dashboard to be embedded string
lastViewed The date and time of the last time this dashboard was viewed by the caller string (date-time)
modifiedDate The date and time of the most recent modification string (date-time)
public Flag to indicate if the dashboard is public boolean
shared Flag to indicate if the dashboard is shared at all This means the dashboard is shared with everyone, shared with a user, or shared with a user group boolean
type The dashboard type string
visible Flag to indicate if dashboard should show in the caller’s tree boolean
Example Response application/json
{  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "dashboardGlobalSettings": {    "buildingGroup": {      "autoGroup": false,      "placeGroupCode": "string",      "placeGroupId": 1,      "placeGroupInfo": "string",      "userDefinedAutoGroup": false
    },    "globalFilterType": "string",    "globalFilterVisibility": "string",    "showInfo": false,    "showLinks": false,    "topmostPlace": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    }
  },  "dashboardId": 1,  "dashboardInfo": "string",  "description": "string",  "key": "string",  "lastViewed": "2026-03-30",  "modifiedDate": "2026-03-30",  "public": false,  "shared": false,  "type": "string",  "visible": false
}